# -*- rpm-spec -*-
# $Id: umb-scheme,v 1.6 2002/10/19 15:02:19 lioka Exp $

Name: umb-scheme
Version: 3.2
Release: alt1
Serial: 1

Summary: An implementation of the Scheme programming language
License: GPL
Group: Development/Other

Source:	ftp://ftp.cs.umb.edu/pub/scheme/umb-scheme-3.2.tar.bz2
Source1: http://swissnet.ai.mit.edu/ftpdir/scm/slib2c8.zip
Source2: slibcat
Patch0:	%name-3.2-misc.patch
Patch1:	%name-3.2-texinfo.patch
Patch2:	%name-3.2-config.patch
Patch3:	%name-3.2-man.patch
Patch4: %name-3.2-chapter.patch
Patch5: %name-3.2-slib2c7.patch
Patch6: %name-3.2-share.patch
Patch7: %name-3.2-bug154.patch
Patch100: umb-scheme-3.2-config_mdk.patch

BuildPreReq: unzip
BuildRequires:	texinfo

%description
UMB Scheme is a public domain implementation of the Scheme programming
language.  Scheme is a statically scoped and properly tail-recursive
dialect of the Lisp programming language, designed with clear and
simple semantics and a minimal number of ways to form expressions.

Install the %name package if you need an implementation of the
Scheme programming language.

%prep
%setup -q -n scheme-3.2
rm -fr slib
unzip -q -o %{SOURCE1}
%patch0 -p1 -b .misc
%patch1 -p1 -b .texinf
%patch2 -p1 -b .conf
%patch3 -p1 -b .man
%patch4 -p1 -b .chapter
%patch5 -p1 -b .slib
%patch6 -p1 -b .share
%patch7 -p1 -b .154

%build
%make_build
makeinfo scheme.texinfo

%install
%__install -p -m755 -D scheme %buildroot%_bindir/%name
%__install -p -m644 -D %{SOURCE2} %buildroot%_datadir/%name/slibcat
%__install -p -m644 prelude.scheme %buildroot%_datadir/%name
%__install -p -m644 SLIB-for-umb-scheme.init %buildroot%_datadir/%name
%__cp -a slib %buildroot%_datadir/%name
%__chmod 0644 %buildroot%_datadir/%name/slib/*
%__install -p -m644 -D scheme.1 %buildroot%_man1dir/%name.1
%__install -p -m644 -D %name.info %buildroot%_infodir/%name.info
%__install -p -m644 slib/slib.info %buildroot%_infodir/slib.info

%post
%install_info %name.info slib.info

%preun
%uninstall_info %name.info slib.info


%files
%doc slib/ANNOUNCE slib/FAQ slib/README
%_bindir/*
%_mandir/man?/*
%_infodir/*.info*
%dir %_datadir/%name
%_datadir/%name/prelude.scheme
%_datadir/%name/slibcat
%dir %_datadir/%name/slib
%_datadir/%name/slib/*


%changelog
* Sat Oct 19 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1:3.2-alt1
- rebuilt in new env

* Fri Dec  7 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.2-ipl21mdk
- added unzip to build requirements

* Mon Nov 19 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.2-ipl20mdk
- bug #163 fixed

* Thu Nov 15 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.2-ipl19mdk
- bug #154 fixed

* Thu May 31 2001 AEN <aen@logic.ru> 3.2-ipl18mdk
- additional sources from RawHide for gnucash 1.5.97
- changed libdir to datadir for umb-scheme

* Thu Feb 15 2001 Dmitry V. Levin <ldv@fandra.org> 3.2-ipl17mdk
- Specfile cleanup.
- Fixed texinfo documentation.
- Fixed out /usr/local from everywhere.

* Wed Jan 17 2001 AEN <aen@logic.ru>
- RE adaptation

* Wed Aug 23 2000  Etienne Faure <etienne@mandrakesoft.com> 3.2-14mdk
- rebuild using _docdir and _mandir macros

* Tue Mar 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 3.2-13mdk
- Changed group, packager

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip man/info's

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adatations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 9)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

